import {
  __esm,
  __objRest
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/transfers/index.ts
function createTransfersResource(instanceId, client) {
  return {
    quotes: {
      create(_a) {
        var data = __objRest(_a, []);
        return client.post(`/instances/${instanceId}/transfer-quotes`, data);
      }
    },
    create(_b) {
      var data = __objRest(_b, []);
      return client.post(`/instances/${instanceId}/transfers`, data);
    },
    list(params) {
      const queryParams = params ? `?${new URLSearchParams(params)}` : "";
      return client.get(`/instances/${instanceId}/transfers${queryParams}`);
    },
    get(transferId) {
      return client.get(`/instances/${instanceId}/transfers/${transferId}`);
    },
    getTrack(transferId) {
      return client.get(`/e/transfers/${transferId}`);
    }
  };
}
var init_transfers = __esm({
  "src/resources/transfers/index.ts"() {
  }
});

export {
  createTransfersResource,
  init_transfers
};
